Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1556107 - perl-Test-LeakTrace: FTBFS in F28
Summary: perl-Test-LeakTrace: FTBFS in F28
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Test-LeakTrace
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Paul Howarth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F28FTBFS
TreeView+ depends on / blocked
 
Reported: 2018-03-14 23:14 UTC by Fedora Release Engineering
Modified: 2018-03-30 12:57 UTC (History)
4 users (show)

Fixed In Version: perl-Test-LeakTrace-0.16-6.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-30 12:57:34 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Fedora Release Engineering 2018-03-14 23:14:32 UTC
Your package perl-Test-LeakTrace failed to build from source in current F28.

https://koji.fedoraproject.org/koji/taskinfo?taskID=24858378

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

Comment 1 Paul Howarth 2018-03-15 09:01:48 UTC
perl-Test-LeakTrace-0.16-5.fc28 was built on 20th February, well before the bodhi activation point, and is included in Rawhide but somehow not in f28. Any ideas on why that is?

https://koji.fedoraproject.org/koji/buildinfo?buildID=1047048

$ koji latest-pkg f28 perl-Test-LeakTrace
Build                                     Tag                   Built by
----------------------------------------  --------------------  ----------------
perl-Test-LeakTrace-0.16-1.fc27           f28                   pghmcfc

$ koji latest-pkg f29 perl-Test-LeakTrace
Build                                     Tag                   Built by
----------------------------------------  --------------------  ----------------
perl-Test-LeakTrace-0.16-5.fc28           f29                   pghmcfc

Comment 2 Petr Pisar 2018-03-15 11:09:31 UTC
$ koji list-tag-history --build perl-Test-LeakTrace-0.16-5.fc28
Tue Feb 20 13:12:26 2018: perl-Test-LeakTrace-0.16-5.fc28 tagged into f29-pending by pghmcfc
Tue Feb 20 13:12:39 2018: perl-Test-LeakTrace-0.16-5.fc28 tagged into f29 by autopen [still active]
Tue Feb 20 13:12:39 2018: perl-Test-LeakTrace-0.16-5.fc28 untagged from f29-pending by autopen

perl-Test-LeakTrace-0.16-5.fc28 was built into f29. It has fc28 dist tag because at that time fedora-release package that brings the %dist macro had version 28-0.2.

It seems you built perl-Test-LeakTrace from master when the koji had already updated rawhide to f29 but before fedora-release package was upgraded to define dist as fc29.

Comment 3 Paul Howarth 2018-03-15 11:12:57 UTC
OK, so I expect koji won't allow me to build perl-Test-LeakTrace-0.16-5.fc28 in the f28 branch as there's already a build perl-Test-LeakTrace-0.16-5.fc28 in f29, I guess I need to bump and rebuild for both?

Comment 4 Petr Pisar 2018-03-15 11:30:32 UTC
I believe so.

Comment 5 Fedora Update System 2018-03-15 14:14:27 UTC
perl-Test-LeakTrace-0.16-6.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-ce7aa5e68e

Comment 6 Fedora Update System 2018-03-16 14:44:36 UTC
perl-Test-LeakTrace-0.16-6.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-ce7aa5e68e

Comment 7 Fedora Update System 2018-03-30 12:57:34 UTC
perl-Test-LeakTrace-0.16-6.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.